Subject: Re: bug#15024: 24.3; Crash when editing pattern for Helm-for-files

From: "Sebastien Vauban" <[email-masked]>
Date: Mon, 12 Aug 2013 11:14:19 +0200

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 08 Aug 2013 20:52:14 +0200
>> 
>> Eli Zaretskii wrote:
>> >> From: "Sebastien Vauban" <[email-masked]>
>> >> Date: Mon, 05 Aug 2013 10:34:55 +0200
>> >> 
>> >> When editing the pattern of helm-for-files (trying to refine locate's results
>> >> -- using Everything, via Cygwin Bash), I got this crash:
>> >
>> > Does this happen frequently, or can you reproduce this?  If yes, I can
>> > give you instructions for investigating next time it happens.
>> 
>> Well, as it should happen again, yes, you can still give me instructions for
>> next time.
>
> Can you run Emacs under GDB at all times?  If so, type this GDB
> command:
>
>   (gdb) set debugexceptions 1
>
> and let it run.  When the problem happens, I expect that GDB will show
> us the exception name (that's what the above setting is about), and it
> also might stop the program and show the real backtrace via "bt".

When displaying a PDF file (via DocView -- it worked), got this when killing
the buffer[1] IIRC:

--8<---------------cut here---------------start------------->8---
[Thread 11448.0x2c1c exited with code 0]
[New Thread 11448.0x2bc4]
gdb: Target exception EXCEPTION_BREAKPOINT at 0xe4311e00

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 11448.0x2bc4]
0x775c2d3c in ?? ()
(gdb) bt
#0  0x775c2d3c in ?? ()
(gdb)
--8<---------------cut here---------------end--------------->8---

Is this what you need?

Best regards,
  Seb

[1] Via my key binding <f12>:

--8<---------------cut here---------------start------------->8---
  (global-set-key
    (kbd "<f12>") 'bury-buffer)
--8<---------------cut here---------------end--------------->8---

-- 
Sebastien Vauban